API Overview

General information about the AutomagicWP API.

The AutomagicWP API uses a RESTful architecture and is served over HTTPS. The API is versioned and follows this schema:

	https://automagicwp.com/api/{version}/{service}/{method}

HTTP Methods

We strictly use only GET and POST methods. PUT and DELETE are not used.

GET

GET methods are used for reading data. Filtering, sorting, or pagination is done via query parameters.

	curl "https://automagicwp.com/api/v1/plugin/update?id=plugin_123&slug=my-slug" 
  -H "Authorization: Bearer <API_KEY>"

POST

POST methods are used for creating, updating, and deleting data. Data is passed as application/json in the request body.

	curl -XPOST "https://automagicwp.com/api/v1/plugin/update" 
  -H "Authorization: Bearer <API_KEY>" 
  -H "Content-Type: application/json" 
  -d '{
        "plugin_id": "plugin_123456789012345678901234",
        "zip_url": "https://example.com/plugin.zip"
      }'

Authentication

All API requests require authentication. See Authentication for details.

Endpoints